Loading...
Searching...
No Matches
D3D12_DESCRIPTOR_RANGE Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_DESCRIPTOR_RANGE_TYPE | RangeType
UINT | NumDescriptors
UINT | BaseShaderRegister
UINT | RegisterSpace
UINT | OffsetInDescriptorsFromTableStart

## Detailed Description

Definition at line 2957 of file mini_d3d12.h.

## Member Data Documentation

## RangeType

D3D12_DESCRIPTOR_RANGE_TYPE D3D12_DESCRIPTOR_RANGE::RangeType

Definition at line 2958 of file mini_d3d12.h.

## NumDescriptors

UINT D3D12_DESCRIPTOR_RANGE::NumDescriptors

Definition at line 2959 of file mini_d3d12.h.

## BaseShaderRegister

UINT D3D12_DESCRIPTOR_RANGE::BaseShaderRegister

Definition at line 2960 of file mini_d3d12.h.

## RegisterSpace

UINT D3D12_DESCRIPTOR_RANGE::RegisterSpace

Definition at line 2961 of file mini_d3d12.h.

## OffsetInDescriptorsFromTableStart

UINT D3D12_DESCRIPTOR_RANGE::OffsetInDescriptorsFromTableStart

Definition at line 2962 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h